import React from 'react'
import { useContext } from 'react';
import PendoContext from '../state/PendoContext';
import { Link } from 'react-router-dom'

const CartPopper = () => {
    const { cart, removeCart } = useContext(PendoContext)
    return (
        <div className="col-lg-2 col-md-3 col-12">
            <div className="right-bar">
                <div className="sinlge-bar">
                    <a href="#/" className="single-icon"><i className="ri-heart-3-line"></i></a>
                </div>
                <div className="sinlge-bar">
                    <a href="#/" className="single-icon"><i className="ri-account-circle-line"></i></a>
                </div>
                <div className="sinlge-bar shopping">
                    <a href="#/" className="single-icon"><i className="ri-shopping-cart-2-line"></i> <span className="total-count">{cart.length}</span></a>
                    <div className="shopping-item">
                        <div className="dropdown-cart-header">
                            <span>{cart.length} Items</span>
                            <a href="#/">View Cart</a>
                        </div>
                        <ul className="shopping-list">
                            {
                                cart.map(item => {
                                    return <li key={item.id}>
                                        <i onClick={() => removeCart(item.id)} className="ri-close-circle-line"></i>
                                        <a className="cart-img" href="#/"><img src={`images/${item.image}`} height="70" width="70" alt="#" /></a>
                                        <h4><a href="#/">{item.name}</a></h4>
                                        <p className="quantity">{item.quantity}x - <span className="amount">{item.price}</span></p>
                                    </li>
                                })
                            }

                        </ul>
                        <div className="bottom">
                            <div className="total">
                                <span>Total</span>
                                <span className="total-amount">{cart.map(item => parseInt(item.price) * item.quantity).reduce((a, c) => a + c, 0)} Ksh</span>
                            </div>
                            <Link to="/checkout" className="btn animate">Checkout</Link>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    );
}

export default CartPopper